#
# spec file for package unclutter (Version 8)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           unclutter
BuildRequires:  xorg-x11 xorg-x11-devel
Version:        8
Release:        850.2
License:        distributable
Group:          System/X11/Utilities
Provides:       unclutt
Obsoletes:      unclutt
Autoreqprov:    on
Summary:        Remove the idle cursor image from the screen
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}-return.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Unclutterer removes the cursor image from the screen so that it does
not obstruct the area you are looking at after it has not moved for a
given period of time.



Authors:
--------
    Mark M Martin <mmm@cetia.fr>
    Andreas Stolcke <stolcke@ICSI.Berkeley.EDU>

%debug_package
%prep
%setup -q
%patch

%build
xmkmf
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}
make install.man DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README
/usr/X11R6/bin/unclutter
%doc /usr/X11R6/man/man1/unclutter.1x.gz

%changelog -n unclutter
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri May 07 2004 - hmacht@suse.de
- added #norootforbuild in specfile
* Mon Apr 19 2004 - mjancar@suse.cz
- add return to nonvoid functions
* Thu Aug 09 2001 - dan@suse.cz
- use bzip instead of gzip
* Wed Nov 29 2000 - smid@suse.cz
- renamed: unclutt => unclutter
* Fri Apr 28 2000 - smid@suse.cz
- buildroot added
* Wed Feb 16 2000 - kukuk@suse.de
- fill out grup tag.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jan 19 1999 - kukuk@suse.de
- initial package: version 8
